Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IEventDefinition

All Superinterfaces:
  Serializable

public interface IEventDefinition
extends Serializable

Defines an event type (a business occurrence) in terms of a document type, and a set of implementation specific properties.

Method Summary
`IEvent` | `createDefaultEvent()` Create an event object containing default structure and values.
`IEvent` | `createDefaultEvent(DefaultDocumentOptions options)` Create an event object containing default structure and values, and using the specified options.
`void` | `createDefaultEvent(IEvent event)` Create an event object within the given event object, that contains default structure and values.
`void` | `fromXML(String xml)` Parse an XML string representing an event definition.
`com.bea.connector.IClientData` | `getClientData()` Get the client data to be used by the adapter during its event generation processing, or null if none was specified.
`String` | `getDescription()` Get the description for this event definition.
`String` | `getName()` Get the type name.
`String` | `getPayloadRootElementName()` Get the root element name for payload for this event definition.
`SOMSchema` | `getPayloadSchema()` Get the schema for the payload document.
`String` | `getPayloadSchemaName()` Get the name of the document schema for payload for this event definition.
`Map` | `getPropertySet()` Get the properties (name/value pairs) for this service.
`void` | `setClientData(com.bea.connector.IClientData data)` Store the client data to be used by the adapter during its event generation processing.
`void` | `setDescription(String description)` Set the description for this event definition;
`void` | `setName(String name)` Set the type name.
`void` | `setPayloadRootElementName(String rootElementName)` Set the root element name for the payload for this event definition.
`void` | `setPayloadSchema(SOMSchema schema)` Set the schema for the payload document.
`void` | `setPayloadSchemaName(String schemaName)` Set the name of the document schema for payload for this event definition.
`void` | `setPropertySet(Map props)` Set the properties (name/value pairs) for this event.
`String` | `toXML()` Get an XML string representing this event definition.

Method Detail

### getName

    public String getName()

  Get the type name.

### setName

    public void setName(String name)

  Set the type name.

### createDefaultEvent

    public IEvent createDefaultEvent()
                              throws Exception

  Create an event object containing default structure and values.

  Throws:
    `Exception`

### createDefaultEvent

    public IEvent createDefaultEvent(DefaultDocumentOptions options)
                              throws Exception

  Create an event object containing default structure and values, and using the specified options.

  Throws:
    `Exception`

### createDefaultEvent

    public void createDefaultEvent(IEvent event)
                            throws Exception

  Create an event object within the given event object, that contains default structure and values.

  Throws:
    `Exception`

### getDescription

    public String getDescription()

  Get the description for this event definition.

### setDescription

    public void setDescription(String description)

  Set the description for this event definition;

### getPayloadSchemaName

    public String getPayloadSchemaName()

  Get the name of the document schema for payload for this event definition.

### setPayloadSchemaName

    public void setPayloadSchemaName(String schemaName)

  Set the name of the document schema for payload for this event definition.

### getPayloadRootElementName

    public String getPayloadRootElementName()

  Get the root element name for payload for this event definition.

### setPayloadRootElementName

    public void setPayloadRootElementName(String rootElementName)

  Set the root element name for the payload for this event definition.

### getPayloadSchema

    public SOMSchema getPayloadSchema()

  Get the schema for the payload document.

### setPayloadSchema

    public void setPayloadSchema(SOMSchema schema)

  Set the schema for the payload document.

### getPropertySet

    public Map getPropertySet()

  Get the properties (name/value pairs) for this service. These properties describe the metadata needed by the implementer of the service, and are opaque to any outside consumer.

### setPropertySet

    public void setPropertySet(Map props)

  Set the properties (name/value pairs) for this event. These properties describe the metadata needed by the implementer of the event, and are opaque to any outside consumer.

### toXML

    public String toXML()
                 throws DocumentException

  Get an XML string representing this event definition. The schema is referred to by name, and it not include inline in the returned XML.

  Throws:
    `DocumentException` - if there is an error creating the XML.

### fromXML

    public void fromXML(String xml)
                 throws DocumentParseException,
                        DocumentException

  Parse an XML string representing an event definition. The schema is referred to by name, and is not include inline in the returned XML.

  Throws:
    `DocumentParseException` - if the xml cannot be parsed.
    `DocumentException` - if an error occurs while processing the xml.

### setClientData

    public void setClientData(com.bea.connector.IClientData data)

  Store the client data to be used by the adapter during its event generation processing.

### getClientData

    public com.bea.connector.IClientData getClientData()

  Get the client data to be used by the adapter during its event generation processing, or null if none was specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD